@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {

    font-family: 'Roboto', sans-serif;
    background-color: #f4f8fb;
    color: #2c0202;
    line-height: 1.6;
}

.main-header {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    margin-top: 10px;
    padding: 10px;
    border-radius: 15px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.159);
    background: linear-gradient(rgba(26, 7, 7, 0.821), rgba(103, 2, 2, 0.158)), url("img/backgroundimage.png");
    background-size: cover;
    background-position: center;
    color: white;
    text-align: center;

}


.main-header a {
    display: inline-block;
    text-decoration: none;
    color: rgb(51, 221, 162);
    background-color: rgba(11, 90, 226, 0.6);
    padding: 10px;
    border-radius: 10px;
    transition: 0.3s;
    font-size: 1.25rem;
    font-weight: bolder;
}

.main-header a:hover {
    transform: scale(1.2);
    transition: 0.3s;
    color: rgb(194, 45, 45);
    background-color: aquamarine;
}

.p-header {
    background: transparent;
    color: #87ea1e;
    font-weight: bolder;
    font-size: large;
}

.main-header h1 {
    display: inline-block;
    background-color: rgba(79, 2, 2, 0.87);
    color: rgb(144, 228, 70);
    font-size: 3rem;
    margin-top: 20px;
    border-radius: 10px;
}

#idnavbar {
    display: grid;
    place-items: center;
    margin: auto;
    background-color: rgba(0, 0, 0, 0.34);
    position: sticky;
    top: 0;
    z-index: 10;
}

.navbar a {
    display: inline-block;
    text-decoration: none;
    color: rgb(51, 221, 162);
    background-color: rgba(11, 90, 226, 0.6);
    padding: 10px;
    border-radius: 10px;
    transition: 0.3s;
    font-size: 1.25rem;
    font-weight: bolder;
}

.navbar a:hover {
    transform: scale(1.2);
    transition: 0.3s;
    color: rgb(194, 45, 45);
    background-color: aquamarine;
}

.navbar ul {
    list-style: none;
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 30px;
    flex-wrap: wrap;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}

section {
    background-color: rgba(218, 227, 235, 0.592);
    margin: 40px 0;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.159);
}

h2 {
    color: #0d6efd;
    margin: 20px;
    text-align: center;
}

h3 {
    margin: 15px;
    text-align: center;
    color: rgba(88, 40, 246, 0.797);
}

p {
    margin: 10PX;
    background-color: rgba(237, 209, 245, 0.182);
}

ol,
ul {
    padding-left: 25px;
    margin: 5px;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
    border-radius: 10px;
    margin: 15px auto;
    box-shadow: 0 5px 10px rgba(161, 21, 21, 0.473);
}

img:hover {
    transform: scale(1.02);
    transition: 0.5s;
}

figcaption {
    text-align: center;
    color: rgb(135, 29, 29);
    font-size: 1.25rem;
    font-weight: bold;
}

.logo {
    display: block;
    margin: auto;
}

.logo-caption {
    text-align: center;
    color: rgba(38, 9, 226, 0.863);
    font-size: 1.15rem;
    font-weight: bold;
}

a {
    color: #0d6efd;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.2rem;
}

a:hover {
    color: #0a0898;
    background-color: rgba(0, 0, 0, 0.151);
    font-weight: bold;
    font-size: 1.25rem;
    border-radius: 10px;
}

iframe {
    width: 90%;
    max-width: 900px;
    height: 450px;
    display: block;
    margin: 10px auto;
    border-radius: 15px;
}

table {
    width: 70%;
    border-collapse: collapse;
    margin: 10px auto;
}

caption {
    text-align: center;
    font-size: 1.2rem;
    margin-bottom: 10px;
    color: rgba(0, 0, 0, 0.825);
}

th,
td {
    border: 1px solid #ccc;
}

th {
    background-color: #3106b342;
}

tr:nth-child(even) {
    background-color: #5d282842;
}

.forms {
    margin-top: 20px;
}

fieldset {
    border: 2px solid #0d6efd;
    padding: 20px;
    border-radius: 10px;
}

legend {
    text-align: center;
    padding: 0 5px;
    font-weight: bold;
    color: rgb(75, 2, 17);
}

.form-group {
    display: grid;
    grid-template-columns: 150px 0.5fr;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
}

textarea {
    width: 100%;
}

.form-group label {
    font-weight: 500;
}

input,
textarea,
select {
    padding: 10px;
    border: 2px solid black;
    border-radius: 5px;
}

input:focus,
textarea:focus,
select:focus,
input:hover,
textarea:hover,
select:hover {
    outline: none;
    border: 5px double rgb(255, 47, 0);
}

button {
    display: block;
    margin: 15px;
    padding: 10px;
    border: none;
    border-radius: 10px;
    background-color: #0d6efd;
    color: white;
    cursor: pointer;
    margin: 20px auto;
}

button:hover {
    background-color: #6288c0a8;
    font-weight: bold;
    color: rgb(13, 0, 128);
    font-size: 1.15rem;
}

footer {
    background-color: #1111111c;
    color: rgb(22, 2, 2);
    text-align: center;
    padding: 20px;
    margin-top: 30px;
}

.div-social {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.social-icon {
    width: 50px;
    height: 50px;
    border-radius: 10%;
    margin: 10px;
    box-shadow: none;
}

.social-icon:hover {
    transform: scale(1.1);
}

.foot-container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    margin-bottom: 20px;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.159);
}

@media(max-width:768px) {

    .hero h1 {
        font-size: 2rem;
    }

    table {
        width: 100%;
    }

    .navbar ul {
        flex-direction: column;
        align-items: center;
    }

    iframe {
        height: 250px;
    }

    section {
        padding: 20px;
    }

}